body {
  background-color: #f0f0f0;
  font-family: "delius swash caps", cursive;
}

.weather-app {
  background-color: #04092e;
  max-width: 600px;
  margin: 60px auto;
  padding: 30px;
  border-radius: 10px;
  box-shadow: 0 30px 50px rgba(65, 50, 100, 0.08);
  color: #f0f0f0;
}
.weather-app h1 {
  text-align: center;
  color: #f0f0f0;
}

header {
  display: flex;
  align-items: center;
  justify-content: center;
  border-bottom: 1px solid #f0f0f0;
  padding-bottom: 20px;
}
#city-input {
  background-color: #f0f0f0;
  border: 2px solid #f0f0f0;
  color: #04092e;
  font-size: 12px;
  padding: 15px;
  width: 55%;
  border-radius: 6px;
}
#search-button {
  margin-left: 5px;
  font-family: "delius swash caps", cursive;
  font-size: 12px;
  background-color: #38abff;
  color: #f9f5f6;
  border: 2px solid #38abff;
  padding: 15px;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s ease;
}
#search-button:hover {
  opacity: 0.9;
  background-color: #1d1f49;
}

h1 {
  margin: 30px;
  filter: drop-shadow(0 0 50px rgb(252, 249, 250));
}
#icon {
  filter: drop-shadow(0 0 100px rgb(252, 249, 250));
  background-image: no-repeat;
  background-size: contain;
  transform: scale(1.7);
  position: relative;
  top: 15px;
  font-size: 40px;
  margin-right: -30px;
}

#weather-info {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  filter: drop-shadow(0 0 50px rgb(252, 249, 250));
}

#current-temperature {
  font-size: 80px;
  color: white;
  font-weight: 900;
  margin-bottom: 50px;
}

.temperature-unit {
  font-size: 28px;
  position: relative;
  top: -38px;
  left: -20px;
}
#current-date,
#current-time {
  font-size: 18px;
  color: #f0f0f0;
  margin: 5px 0;
  font-weight: lighter;
  opacity: 0.7;
  filter: drop-shadow(0 0 50px rgb(252, 249, 250));
}
#current-date {
  margin-top: -20px;
}

#current-time {
  margin-bottom: 20px;
}

#weather-details {
  font-size: 20px;
  color: #f0f0f0;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 20px;
  justify-content: center;
}

.weather-detail {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  background-color: #1d1f49;
  align-items: center;
  border-radius: 20px;
  width: 100%;
}

.weather-detail h6 {
  margin: 10px 0 5px;
  color: #f0f0f0;
  font-weight: lighter;
  opacity: 0.7;
}

#weather-forecast {
  display: flex;
  justify-content: space-around;
  margin-top: 30px;
  color: #f0f0f0;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-gap: 20px;
  background-color: #1d1f49;
  padding: 20px;
  border-radius: 20px;
  font-size: 13px;
}

.weather-forecast-icon {
  width: 88px;
  height: 88px;
  display: block;
  margin: 0 auto;
}
.weather-forecast-date {
  text-align: center;
  color: rgba(218, 211, 248, 0.4);
  font-size: 16px;
  line-height: 20px;
  margin-bottom: 10px;
}
.weather-forecast-temperatures {
  text-align: center;
  color: #f0f0f0;
  margin-top: 10px;
  display: flex;
  justify-content: center;
}

.weather-forecast-temperature {
  padding: 0 10px;
}
.weather-forecast-temperature .temperature-value {
  font-size: 24px;
  font-weight: bold;
}
footer {
  text-align: center;
  margin-top: 40px;
  color: #f0f0f0;
}
a {
  color: #38abff;
  text-decoration: none;
}
